# Complex CloudFront with custom TTL + viewer protocol redirect
environment: dev
id: cdn
infrastructure:
  cloudfront:
    inputs:
      bucket_regional_domain_name: my-bucket.s3.us-east-1.amazonaws.com
      default_ttl: 7200
      max_ttl: 86400
      price_class: PriceClass_100
      region: us-east-1
      viewer_protocol_policy: redirect-to-https
    version: 1.0.0
name: cloudfront
